hw-prim-0.6.3.2: Primitive functions and data types

Safe Haskell | None
Language | Haskell2010

HaskellWorks.Data.Vector.AsVector64s

# Documentation

class AsVector64s a where #

Methods

asVector64s :: Int -> a -> [Vector Word64] #

Represent the value as a list of Vector of `n` Word64 chunks. The last chunk will also be of the specified chunk size filled with trailing zeros.

#### Instances

Instances details

AsVector64s ByteString # |
Instance details Defined in HaskellWorks.Data.Vector.AsVector64s Methods asVector64s :: Int -> ByteString -> [Vector Word64] #
AsVector64s [ByteString] # |
Instance details Defined in HaskellWorks.Data.Vector.AsVector64s Methods asVector64s :: Int -> [ByteString] -> [Vector Word64] #